<?xml version="1.0" encoding="utf-8"?>
<resources>

    <declare-styleable name="XlCircleView">
        <attr name="unit" format="string"/>
        <attr name="center_txt" format="string"/>  <!--中间显示的值-->
        <attr name="top_txt" format="string"/> <!--顶部文字-->
        <attr name="bottom_txt" format="string"/> <!--底部文字-->
        <attr name="angle" format="string"/>
        <attr name="showValue" format="float"/>
        <attr name="bmp" format="reference"/>
        <attr name="value_size" format="dimension"/>
        <attr name="circle_unit_size" format="dimension"/>
        <attr name="bottom_size" format="dimension"/>
        <attr name="top_size" format="dimension"/>

    </declare-styleable>
    
    <declare-styleable name="MyShowValue">
        <attr name="num" format="string"/>
        <attr name="units" format="string"/>
        <attr name="desc" format="string"/>
        <attr name="desc_color" format="integer"/>
        <attr name="unt_color" format="integer"/>
        <attr name="values_color" format="integer"/>
     </declare-styleable>

    <declare-styleable name="CircleView">
        <attr name="unit_size" format="float"/>
        <attr name="circle_with" format="float"/>
        <attr name="center_size" format="float"/>
        <attr name="distance" format="float"/>
    </declare-styleable>


    <declare-styleable name="VisceraView">
        <attr name="image" format="reference"/>
        <attr name="status_txt" format="string"/>
        <attr name="viscera" format="string"/>
        <attr name="is_right" format="boolean"/>
    </declare-styleable>


    <declare-styleable name="CircleDayShow">
        <attr name="stroke_width" format="dimension"/>
        <attr name="circle_col" format="color"/>
        <attr name="arc_col" format="color"/>
        <attr name="center_txt_size" format="dimension"/>
    </declare-styleable>

    <declare-styleable name="MyProgressView">
        <attr name="progress_width" format="float"/>
        <attr name="data_size" format="float"/>
        <attr name="progress_fir" format="float"/>
        <attr name="progress_sec" format="float"/>
        <attr name="progress_thr" format="float"/>
        <attr name="progress_four" format="float"/>
    </declare-styleable>
    
    <declare-styleable name="MyProgressCircleView">
        <attr name="circle_stroke_width" format="dimension"/>
        <attr name="percent_size" format="dimension"/>
        <attr name="example_size" format="dimension"/>
        <attr name="example_length" format="dimension"/>
        <attr name="count" format="integer"/>
    </declare-styleable>
    
    
    <declare-styleable name="ProcessView">
        <attr name="circle_r" format="dimension"/>
        <attr name="circle_width" format="dimension"/>
        <attr name="circle_center_size" format="dimension"/>
        <attr name="title_size" format="dimension"/>
    </declare-styleable>

    <declare-styleable name="StepView">
        <attr name="step_size" format="dimension"/>
    </declare-styleable>


    <declare-styleable name="SleepInfoView">
        <attr name="sleep_text" format="dimension"/>
    </declare-styleable>

    <declare-styleable name="GaugeView">
        <attr name="value" format="integer" />
    </declare-styleable>

    <declare-styleable name="InputView">
        <attr name="leftTitle" format="string"/>
        <attr name="leftTitleCol" format="color"/>
        <attr name="rightUnit" format="string"/>
        <attr name="isInput" format="boolean"/>
        <attr name="hasNexIcon" format="boolean"/>
        <attr name="rightHint" format="string"/>
        <attr name="rightTitle" format="string"/>
        <attr name="inputDecimal" format="boolean"/>

    </declare-styleable>

    <declare-styleable name="SideBar">
        <attr name="scaleSize" format="integer"/>
        <attr name="scaleItemCount" format="integer"/>
        <attr name="scaleWidth" format="dimension"/>
    </declare-styleable>

</resources>